/* Formats suitable for use "naked" with Word for Windows */
/* This version numbers citations in the order in which they appear in the document */
/* Si Dobson, 10-2-1993 */

description "Word for Windows (citation-ordered numbers)"

/* use RTF to communicate with Word */
language { RTF }

/* tags are complicated... */
tag { "["
      "{\field{\*\fldinst set "
      MajorAuthor(Surname) Date(Century) Unique
      " {\field{\*\fldinst seq Reference}{\fldrslt 1}}"
      "}{\fldrslt 1}}"
      "{\field{\*\fldinst seq Reference \\c}{\fldrslt 1}}"
      "]" }

/* paper from journal */
format { Title Authors Journal [ Vol No ] Date [ Pages ] [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Authors
     ", " 66 italic { Title "," } 99
     " " Journal [ " " Vol [ "(" bold { No } ")" ] ] " (" Date ")" [ " pp." Pages ]
     "."
     [ "  " Others "." ]
     Para }

/* paper in book */
format { Title Authors Book [ Editors ] [ Publisher [ City ] ] [ Date] [ Pages ] [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Authors
     ", " 66 italic { Title "," } 99
     [ ", pp." Pages ]
     " in " Book
     [ ", ed. " Editors ]
     [ ", " Publisher [ ", " City ] ] [ " (" Date ")" ]
     "."
     [ "  " Others "." ]
     Para }

/* book */
format { Title Authors Publisher [ City ] Date [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Authors
     ", " 66 italic { Title "," } 99
     " " Publisher [ ", " City ] [ " (" Date ")" ]
     "."
     [ "  " Others "." ]
     Para }

/* technical report */
format { Title Authors Publisher [ City ReportNo ] Date [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Authors
     ", " 66 italic { Title "," } 99 " "
     [ ReportNo ", " ]
     Publisher [ ", " City ] " (" Date ")"
     "."
     [ "  " Others "." ]
     Para }

/* commercial technical document */
format { Title Publisher [ City ] Date [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Publisher
     ", " 66 italic { Title "," } 99 " "
     [ City ", " ]
     "(" Date ")"
     "."
     [ "  " Others "." ]
     Para }


/* anything else */
format { Author Date [ Others ] }
as { "["
     "{\field{\*\fldinst ref "
     MajorAuthor(Surname) Date(Century) Unique
     "}{\fldrslt 1}}"
     "]" Tab
     Authors " (" Date ")."
     [ "  " Others "." ]
     Para }
